"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dashboard = void 0;
var React = _interopRequireWildcard(require("react"));
var _appAdmin = require("@webiny/app-admin");
var _Welcome = _interopRequireDefault(require("./Welcome"));
var DashboardRendererHOC = function DashboardRendererHOC() {
  return function DashboardRenderer() {
    return /*#__PURE__*/React.createElement(_appAdmin.CenteredView, {
      maxWidth: 1300
    }, /*#__PURE__*/React.createElement(_Welcome.default, null));
  };
};
var Dashboard = function Dashboard() {
  return /*#__PURE__*/React.createElement(_appAdmin.Compose, {
    component: _appAdmin.DashboardRenderer,
    with: DashboardRendererHOC
  });
};
exports.Dashboard = Dashboard;

//# sourceMappingURL=index.js.map