"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuElementRenderer = void 0;
var _react = _interopRequireDefault(require("react"));
var _appAdmin = require("@webiny/app-admin");
var MenuElementRenderer = function MenuElementRenderer(PrevMenuItem) {
  return function MenuComponent() {
    var _useMenuItem = (0, _appAdmin.useMenuItem)(),
      menuItem = _useMenuItem.menuItem;
    if (!menuItem || !menuItem.element) {
      return /*#__PURE__*/_react.default.createElement(PrevMenuItem, null);
    }
    return menuItem.element;
  };
};
exports.MenuElementRenderer = MenuElementRenderer;

//# sourceMappingURL=MenuElementRenderer.js.map