"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _react = _interopRequireWildcard(require("react"));
var _Snackbar = require("@webiny/ui/Snackbar");
var _get = _interopRequireDefault(require("lodash/get"));
var _useUi = require("@webiny/app/hooks/useUi");
var SnackbarMain = function SnackbarMain() {
  var ui = (0, _useUi.useUi)();
  var message = (0, _get.default)(ui, "snackbar.message");
  var options = (0, _get.default)(ui, "snackbar.options", {});
  var hideSnackbar = (0, _react.useCallback)(function () {
    ui.setState(function (ui) {
      return (0, _objectSpread2.default)((0, _objectSpread2.default)({}, ui), {}, {
        snackbar: null
      });
    });
  }, [ui]);
  return /*#__PURE__*/_react.default.createElement(_Snackbar.Snackbar, Object.assign({
    open: !!message,
    onClose: hideSnackbar,
    message: message
  }, options));
};
var _default = SnackbarMain;
exports.default = _default;

//# sourceMappingURL=Snackbar.js.map